javax.persistence

## Class Persistence

- java.lang.Object
- - javax.persistence.Persistence

    public class Persistence
    extends Object

Bootstrap class to obtain `EntityManagerFactory` references. Contains Geronimo implemented code as required by the JPA spec.

Version:
  $Rev: 924793 $ $Date: 2010-03-18 14:14:34 +0000 (Thu, 18 Mar 2010) $

### Field Summary

Fields
`static String` `PERSISTENCE_PROVIDER` Deprecated.
`protected static Set<PersistenceProvider>` `providers` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`Persistence()`

### Method Summary

All Methods Static Methods Concrete Methods
`static EntityManagerFactory` `createEntityManagerFactory(String persistenceUnitName)`
`static EntityManagerFactory` `createEntityManagerFactory(String persistenceUnitName, Map properties)` Geronimo implementation specific code
`static PersistenceUtil` `getPersistenceUtil()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### providers

    @Deprecated
    protected static final Set<PersistenceProvider> providers

Deprecated.

#### PERSISTENCE_PROVIDER

    @Deprecated
    public static final String PERSISTENCE_PROVIDER

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### Persistence

    public Persistence()

### Method Detail

#### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName)

#### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName,
                                                                  Map properties)

Geronimo implementation specific code

#### getPersistenceUtil

    public static PersistenceUtil getPersistenceUtil()